Loading...
Searching...
No Matches
cf_eval.cc File Reference
`#include "config.h"`
`#include "cf_assert.h"`
`#include "cf_defs.h"`
`#include "cf_eval.h"`

Go to the source code of this file.

## Functions

static CanonicalForm | evalCF (const CanonicalForm &f, const CFArray &a, int m, int n)
OSTREAM & | operator<< (OSTREAM &s, const Evaluation &e)

## Function Documentation

## evalCF()

CanonicalForm evalCF | ( | const CanonicalForm & | f,
|  | const CFArray & | a,
|  | int | m,
|  | int | n )

static

Definition at line 68 of file cf_eval.cc.

{
if ( m > n )
return f;
else {
CanonicalForm result = f;
while ( n >= m ) {
result = result( a[n], Variable( n ) );
n--;
}
return result;
}
// iterated method turned out to be faster than
// return evalCF( f( a[n], Variable( n ) ), a, m, n-1 );
}
m
int m
Definition cfEzgcd.cc:128
f
FILE * f
Definition checklibs.c:9
CanonicalForm
factory's main class
Definition canonicalform.h:86
Variable
factory's class for variables
Definition factory.h:127
result
return result
Definition facAbsBiFact.cc:76

## operator<<()

OSTREAM & operator<< | ( | OSTREAM & | s,
|  | const Evaluation & | e )

Definition at line 59 of file cf_eval.cc.

{
e.values.print(s);
return s;
}
Array::print
void print(OSTREAM &) const
Definition ftmpl_array.cc:138
Evaluation::values
CFArray values
Definition cf_eval.h:34
s
const CanonicalForm int s
Definition facAbsFact.cc:51